#include <stdio.h>
#include <unistd.h>
#include <string.h>
#include <fcntl.h>
#include <unistd.h>
#include <signal.h>
#include "../shared/include/nvram.h"

#define LOGIN "login: "                /* login prompt */

int
main(int argc, char *argv[])
{
  char *passwd;
  char name[128];
  char *cp, c, i;

  // ignore some signal;
  signal(SIGINT, SIG_IGN); // ctrl-c
  signal(SIGQUIT,SIG_IGN);
  signal(SIGABRT, SIG_IGN);
  signal(SIGTSTP, SIG_IGN);

  // for ctrl-s: it is XOFF to stop output, need to type ctrl-q to continue

  while (1)
  {
    printf(LOGIN);
    fflush(stdout);
    cp = name;
    for (i=0; i<127; ++i)
    {
	c = getc(stdin);
 	if (c == '\r' || c == '\n' || c == EOF)
	     break;
	*cp++=c;
    }
    if (c == EOF) // CTRL-D or error
	exit(1);

    *cp = '\0';
    if (i==0) continue; // empty

    passwd = getpass("Password: ");
    printf("\n");
  
    if (!strcmp(nvram_safe_get("USER_NAME@0"), name) && 
	!strcmp(nvram_safe_get("USER_PSWD@0"), passwd))
	break;

    puts("Login incorrect");
  }

  execl("/bin/sh", "/bin/sh", 0);

  exit(1);
}
