#!/bin/sh

case "$1" in
  deconfig)

# KenWang marked 20006/02/20 to avoid it disable vod port	/sbin/ifconfig $interface down
	/sbin/ifconfig $interface 0.0.0.0
	/sbin/ifconfig $interface up
	echo "I am in deconfig"
#	echo 0 > /tmp/ppp/wan_connect_status
	;;

  bound|renew)
  
	#show connection status 
	#echo 2 > /tmp/ppp/wan_connect_status
  	#kill -9 `pidof zebra`
  	[ -n "$broadcast" ] && BROADCAST="broadcast $broadcast"
	[ -n "$subnet" ] && NETMASK="netmask $subnet"

	echo "/sbin/ifconfig $interface $ip $BROADCAST $NETMASK"
	/sbin/ifconfig $interface $ip $BROADCAST $NETMASK

	if [ -n "$router" ]
	then
		echo "deleting routers"
		while route del default gw 0.0.0.0 dev $interface
		do :
		done

		for i in $router
		do
			route add default gw $i dev $interface
		done
	fi

	echo "dns ----" $dns
#	if [ `nvram get DNS_AUTO` = "1" ]
#	then 
		boxset dnsconf $unit $dns
#	fi

  	;;

esac
