<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd"> 
<% OpenFile("cus.sr","1"); %>
<% OpenFile("comm.sr","1"); %>
<% OpenFile("lan.sr","1"); %>
<% OpenFile("sys.sr","1"); %>
<html>
<head>
<title></title>
<meta http-equiv="content-type" content="text/html; charset=<% GetStr("cus","CHARSET","utf-8"); %>">
<meta http-equiv="Pragma" content="no-cache">
<meta http-equiv="Expires" content="-1">
<meta http-equiv="Cache-Control" content="no-cache">
<link rel="stylesheet" type="text/css" href="diff.css">
<link rel="stylesheet" type="text/css" href="default.css">
<script type="text/javascript" src="utility.js"></script>
<script type="text/javascript">
<!--
var urltype=location.hash;
var pathstr=location.protocol+"//"+location.hostname;
var portstr=location.port;
var pathname=location.pathname;
var srch=location.search;
var urlmapping=["<% GetDef("DHCPD_FUNC_DISABLE"); %>","<% GetDef("DHCPD_FUNC_SERVER"); %>","<% GetDef("DHCPD_FUNC_RELAY"); %>"];
var modeName=["<% GetStr("comm","DISABLE"); %>","<% GetStr("lan","DHCPSVR"); %>","<% GetStr("lan","DHCPRELAY"); %>"];
var modeLen=urlmapping.length;
var modeVar="<% GetParm("DHCPD","FUNC"); %>";
var rtIPaddr="<% GetParm("LAN","IP"); %>";
var rtNetMask="<% GetParm("LAN","MASK"); %>";
function ChgMod(j)
{
	if (j < 0 || j > 2)   return;
	if (j == 1)   return;
	document.getElementById("iddhcpmd").value = (j == 0) ? 0 : 1;
	document.getElementById("idwpage").value="dhcp.asp";
	document.getElementById("dhcpf").submit();
}
function IsHostAsDns()
{
	var idm=new Array(2);
	var i, bl;
	var idd=document.getElementById("usert");
	if (idd.checked==true) bl=true;
	else bl=false;
	idm[0]=document.getElementById("pridns");
	idm[1]=document.getElementById("secdns");
	for (i = 0; i < 2; i++) {
		idm[i].disabled = bl;
	}
}
function IPstr2long(src)
{
	var ret=0;
	var i;
	var iparray=src.split(".");
	for (i = 0; i < 4; i++) {
		ret |= (parseInt(iparray[i])<<((3-i)*8));
	}
	return ret;
}
function verifySubnet (IPvalue)
{
	var netmaskNum=IPstr2long(rtNetMask);
	var lanIpNum=IPstr2long(rtIPaddr);
	var numToCheck=IPstr2long(IPvalue);
	if ((numToCheck & netmaskNum) != (lanIpNum & netmaskNum))
		return false;
	return true;
}
function getHostPartIpAddr(IPvalue)
{
	var netmaskNum=IPstr2long(rtNetMask);
	var numToCheck=IPstr2long(IPvalue);
	return (numToCheck & ~netmaskNum);
}
function VerifyForm ()
{
	cutBlankInForm("dhcpf");
	var idd = document.getElementById("domainid");
	idd.value=precutIP(idd.value);
	if(idd.value=="") {
		alert("<% GetStr("comm","ERREMPTYFLD"); %>");
		idd.focus();
		return false;
	}
	if (!isValidDomainString(idd.value,"<% GetStr("lan","FN_DS_DOM"); %>")) {
		idd.focus();
		return false;
	}
	var ids=new Array(2);
	var i;
	var str=new Array(2);
	ids[0] = document.getElementById("startip");
	ids[1] = document.getElementById("endip");
	str[0]="<% GetStr("lan","FN_DS_RNGSTART"); %>";
	str[1]="<% GetStr("lan","FN_DS_RNGEND"); %>";
	for (i = 0; i < 2; i++) {
		ids[i].value=precutIP(ids[i].value);
		if(ids[i].value=="") {
			alert ("<% GetStr("comm","ERREMPTYFLD"); %>");
			ids[i].focus();
			return false;
		}
		if (!isValidHostIP(ids[i].value,str[i])) {
			ids[i].focus();
			return false;
		}
		if (verifySubnet(ids[i].value) == false) {
			alert(str[i]+": <% GetStr("lan","ERRRANGEMASK"); %>")
			ids[i].focus();
			return false;
		}
		if (!isValidRange (ids[i].value, rtNetMask)) {
			alert (str[i]+": <% GetStr("comm","ERRIP2"); %>");
			return 1;
		}
	}
	var hpLanIf = getHostPartIpAddr(rtIPaddr);
	var hpRs = getHostPartIpAddr(ids[0].value);
	var hpRe = getHostPartIpAddr(ids[1].value);
	/*
	if ((hpLanIf >= hpRs) && (hpLanIf <= hpRe)) {
		alert("<% GetStr("lan","ERRRANGEOVER"); %>");
		ids[0].focus();
		return false;
	}
	*/
	if (hpRs > hpRe) {
		alert("<% GetStr("lan","ERRRANGEBIG"); %>");
		ids[0].focus();
		return false;
	}
	if (hpRe - hpRs > 255) {
		alert("<% GetStr("lan","ERRDHCPRNUM"); %>");
		ids[1].focus();
		return false;
	}
	ids[0] = document.getElementById("deftm");
	ids[1] = document.getElementById("maxtm");
	str[0]="<% GetStr("lan","FN_DS_DEFLSETM"); %>";
	str[1]="<% GetStr("lan","FN_DS_MAXLSETM"); %>";
	for (i = 0; i < 2; i++) {
		if (ids[i].value=="") {
			alert (str[i]+":"+"<% GetStr("comm","ERREMPTYFLD"); %>");
			ids[i].focus();
			return false;
		}
		if(!verifyNumeric(ids[i].value)) {
			alert(str[i]+": <% GetStr("comm","ERRNUM"); %>");
			ids[i].focus();
			return false;
		}
	}
	var n1, n2;
	n1=parseInt(ids[0].value);
	n2=parseInt(ids[1].value);
	if (n1 > n2) {
		alert("<% GetStr("lan","ERRLEASECOMP"); %>");
		ids[0].focus();
		return false;
	}	
	if(document.getElementById("usert").checked==false) {
		ids[0] = document.getElementById("pridns");
		ids[1] = document.getElementById("secdns");
		str[0]="<% GetStr("lan","FN_DS_PDNS"); %>";
		str[1]="<% GetStr("lan","FN_DS_SDNS"); %>";
		for (i = 0; i < 2; i++) {
			ids[i].value=precutIP(ids[i].value);
			if(ids[i].value=="") {
				if (i == 1)   continue;
				alert ("<% GetStr("comm","ERREMPTYFLD"); %>");
				ids[i].focus();
				return false;
			}
			if (!isValidHostIP(ids[i].value,str[i])) {
				ids[i].focus();
				return false;
			}
		}
	}
	
	document.getElementById("apply").disabled=true;
	document.getElementById("dhcpf").submit();
	return true;
}
function init()
{
	document.getElementById("idwpage").value=pathname;
	var v="<% GetParm("DHCPD","DNSRT"); %>";
	if(v=="") document.getElementById("usert").checked=true;
	IsHostAsDns();
}
function showMode()
{
 	var i;
 	document.write('<select name=DHCPD_FUNC id="idfunc" onchange="ChgMod(this.selectedIndex);">');
	for(i=0;i<modeLen;i++) {
		document.write('<option value="'+urlmapping[i]+'">'+modeName[i]+'<\/option>');
	}
	document.write('<\/select>');
	document.getElementById("idfunc").selectedIndex=1;
}
function ShowCurrStr()
{
	var str="<% GetStr("comm","CURRMODE"); %>: ";
	var i, idx=0;
	for(i=0;i<modeLen;i++) {
		if (modeVar==urlmapping[i]) idx=i;
	}
	str+=modeName[idx];
	document.write(str);
}
function chgHref(u,ida,ch)
{
	nowURL=u;
	nowID=ida;
	var bnhdl="_bn_hdl=<% GetParm("_bn","hdl"); %>";
	chgURL(bnhdl,ch);
}
-->
</script>
</head>
<body class="main" onload="init();">
<form method="post" id="dhcpf" name="dhcp" ACTION="/goform/dhcp" onsubmit="return VerifyForm();">
	<input type="hidden" name="WEBPAGE" id="idwpage"><!-- redirect this page after setting -->
	<input type="hidden" name="_bn_hdl" id=idhdl value="<% GetParm("_bn","hdl"); %>">
<input type="hidden" name="_webs_dhcp_mode" id="iddhcpmd" value="<% GetParm("NULL","GETTMPVAR","_webs_dhcp_mode"); %>">
<table class="mframe" width="98%" cellspacing="0" cellpadding="3">

<tr class="cfgtbltop"><td class="mframe">
<table class="titletbl" cellpadding="0" cellspacing="0" width="100%">
<tr>
<td class="titletbl1"></td>
<td class="titletbl2 capstr"><% GetStr("comm","CONFIG"); %></td>
<td class="titletbl3"</td>
</tr>
</table>
</td></tr>

<tr><td class="mframe">
<table class="sframe" cellspacing="0" cellpadding="0" width="98%" align="center">
<tr><td class="sframe_title headline"><img src="dot5s.gif" width="11" height="11"><% GetStr("lan","DHCPSVR"); %>
</td></tr>
<tr><td class="sframe">
<table class="cfgframe" cellspacing="2" cellpadding="0" width="100%" align="center">

	<tr><td colspan="2" class="header"><% GetStr("comm","PARM"); %></td></tr>
	<tr><td class="title" width="35%"><% GetStr("lan","FN_DS_MODE"); %></td>
		<td class="val"><script type="text/javascript"><!--
		showMode();
		--></script></td>
	</tr>
	<tr>
		<td class="title"><% GetStr("lan","FN_DS_DOM"); %></td>
		<td class="val"><input type="text" class="txt" id="domainid" name="DHCPD_DOMAIN" value="<% GetParm("DHCPD","DOMAIN"); %>" maxlength="255" size="20"></td>
	</tr>
	<tr>
		<td class="title"><% GetStr("lan","FN_DS_RNGSTART"); %></td>
		<td class="val"><input type="text" class="txt" id="startip" name="DHCPD_STARTIP" value="<% GetParm("DHCPD","STARTIP"); %>" maxlength="15" size="20"></td>
	</tr>
	<tr>
		<td class="title"><% GetStr("lan","FN_DS_RNGEND"); %></td>
		<td class="val"><input type="text" class="txt" id="endip" name="DHCPD_ENDIP" value="<% GetParm("DHCPD","ENDIP"); %>"  maxlength="15" size="20"></td>
	</tr>
	<tr>
		<td class="title"><% GetStr("lan","FN_DS_DEFLSETM"); %></td>
		<td class="val"><input type="text" class="txt" id="deftm" name="DEF_LEASE" value="<% GetParm("DEF","LEASE"); %>" maxlength="10" size="20">&nbsp;<% GetStr("comm","SECS"); %></td>
	</tr>
	<tr>
		<td class="title"><% GetStr("lan","FN_DS_MAXLSETM"); %></td>
		<td class="val"><input type="text" class="txt" id="maxtm" name="MAX_LEASE" value="<% GetParm("MAX","LEASE"); %>" maxlength="10" size="20">&nbsp;<% GetStr("comm","SECS"); %></td>
	</tr>
	<tr>
		<td class="title"><% GetStr("lan","FN_DS_USERTDNS"); %></td>
		<td class="val"><input type="checkbox" class="chkobj" id="usert" name="DHCPD_DNSRT" <% GetParm("DHCPD","DNSRT","c","1"); %> onclick="IsHostAsDns();"></td>
	</tr>
	<tr>
		<td class="title"><% GetStr("lan","FN_DS_PDNS"); %></td>
		<td class="val"><input type="text" class="txt" id="pridns" name="DHCPD_PRIDNS" value="<% GetParm("DHCPD","PRIDNS"); %>" maxlength="15" size="20"></td>
	</tr>
	<tr>
		<td class="title"><% GetStr("lan","FN_DS_SDNS"); %></td>
		<td class="val"><input type="text" class="txt" id="secdns" name="DHCPD_SECDNS" value="<% GetParm("DHCPD","SECDNS"); %>" maxlength="15" size="20"></td>
	</tr>
<tr>
	<td colspan="2" class="btnline">
	<input type="button" id="apply" class="btn" value="<% GetStr("comm","APPLY"); %>" onclick="VerifyForm();">&nbsp;
	<a id="afix" class="hyp" href="dhcps_fixhost.asp" onclick='chgHref("dhcps_fixhost.asp","afix","?");'><% GetStr("lan","TN_DS_FHOST"); %>
	<img align="middle" border="0" hspace="0" alt="" src="dot5.gif"></a>
	</td>
</tr>

<tr><td colspan="2" height="40">
<table cellspacing="2" cellpadding="0" width="100%" align="center" height="25">
<tr><td class="note" width="100%">
<script type="text/javascript"><!--
ShowCurrStr();
//--></script>
</td></tr>
</table>
</td></tr>

</table>
</td></tr>
</table>
</td></tr>

</table>
</form>
</body>
</html>
<% CloseFile("cus.sr","1"); %>
<% CloseFile("comm.sr","1"); %>
<% CloseFile("lan.sr","1"); %>
<% CloseFile("sys.sr","1"); %>
